Open SCAP Library

Data Fields
probe_t Struct Reference

## Data Fields
pthread_rwlock_t | rwlock
uint32_t | flags
char * | name
pid_t | pid
void * | probe_arg
int | probe_exitcode
SEAP_CTX_t * | SEAP_ctx
| SEAP context.
int | sd
| SEAP descriptor.
pthread_t | th_input
pthread_t | th_signal
rbt_t * | workers
uint32_t | max_threads
uint32_t | max_chdepth
probe_rcache_t * | rcache
| probe result cache
probe_ncache_t * | ncache
| probe name cache
probe_icache_t * | icache
| probe item cache
probe_option_t * | option
| probe option handlers
size_t | optcnt
| number of defined options
bool | offline_mode
int | supported_offline_mode
int | selected_offline_mode

The documentation for this struct was generated from the following file:

- probe.h